# CrudOperationSortable::sort

(No version information available, might only be in Git)

CrudOperationSortable::sort — Sort results

### Description

abstract public mysql_xdevapi\CrudOperationSortable::sort ( string `$sort_expr` ) : mysql_xdevapi\CrudOperationSortable

Sort the result set by the field selected in the sort_expr argument. The allowed orders are ASC (Ascending) or DESC (Descending). This operation is equivalent to the 'ORDER BY' SQL operation and it follows the same set of rules.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`sort_expr`

  One or more sorting expressions can be provided. The evaluation is from left to right, and each expression is separated by a comma.

### Return Values

A CrudOperationSortable object.

### Examples

Example #1 mysql_xdevapi\CrudOperationSortable::sort() example

`<?php
$res = $coll->find('job like \'Cavia\'')->sort('age desc', '_id desc')->execute();
?>`